AOZ Studio Beta - Bug #10

Erreur interne realocation d'un tableau de réel par via la commande Gosub
01/17/2020 06:08 PM - Anonymous

Status: Rejected Start date: 01/17/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.25

Description

Dim table# (1,2)

size = 10 : Gosub NewTable // <- Internal error at line 3, column 13
Wait 100 : Cls : Pen 5

size = 5 : Gosub NewTable

Do

Loop : End

NewTable:

{
this.vars.table#_array.array = undefined;
this.vars.table#_array.dim([this.vars.size],0);
}
For i=0 To size
table#(1i,0) = 1i
Pen i : Print i : Wait 10
Next i
Return

History

#1 - 01/21/2020 04:22 PM - Francois Lionet
- Status changed from New to Rejected

- Target version set to 0.9.3

This is a problem in the hack, not in AOZ.

When transpiled, the # in the name of the variable is converted to "_" (as # are not allowed in Javascript). So the path to redim the array should be:
{

this.vars.table_ _array.array = undefined;
this.vars.table__array.dim([this.vars.sizel,0);

#2 - 02/01/2020 05:48 AM - Baptiste Pillot

e source : https://www.amos?2.fr/ide/Amos2/Ide/Program/452
e run : https://www.amos2.fr/run/tickleman/10
e result :
